Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd.cppast
Class CPPParserTokenManager

    java.lang.Object
      net.sourceforge.pmd.cpd.cppast.CPPParserTokenManager

All Implemented Interfaces:
  CPPParserConstants

public class CPPParserTokenManager
extends java.lang.Object
implements CPPParserConstants

Field Summary
`protected char` | `curChar`
`(package private) int` | `curLexState`
`java.io.PrintStream` | `debugStream`
`(package private) int` | `defaultLexState`
`protected SimpleCharStream` | `input_stream`
`(package private) static long[]` | `jjbitVec0`
`(package private) int` | `jjmatchedKind`
`(package private) int` | `jjmatchedPos`
`static int[]` | `jjnewLexState`
`(package private) int` | `jjnewStateCnt`
`(package private) static int[]` | `jjnextStates`
`(package private) int` | `jjround`
`static java.lang.String[]` | `jjstrLiteralImages`
`(package private) static long[]` | `jjtoMore`
`(package private) static long[]` | `jjtoSkip`
`(package private) static long[]` | `jjtoToken`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface net.sourceforge.pmd.cpd.cppast.CPPParserConstants
`_DEFAULT, AMPERSAND, AND, ARROWSTAR, ASSIGNEQUAL, AUTO, BITWISEANDEQUAL, BITWISEOR, BITWISEOREQUAL, BITWISEXOR, BITWISEXOREQUAL, BREAK, CASE, CATCH, CHAR, CHARACTER, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMALINT, DECIMALLONG, DEFAULT, DELETE, DIVIDE, DIVIDEEQUAL, DO, DOT, DOTSTAR, DOUBLE, ELLIPSIS, ELSE, ENUM, EOF, EQUAL, EXTERN, FALSETOK, FLOAT, FLOATONE, FLOATTWO, FOR, FRIEND, GOTO, GREATERTHAN, GREATERTHANOREQUALTO, HEXADECIMALINT, HEXADECIMALLONG, ID, IF, IN_COMMENT, IN_LINE_COMMENT, INLINE, INT, LCURLYBRACE, LESSTHAN, LESSTHANOREQUALTO, LONG, LPARENTHESIS, LSQUAREBRACKET, MINUS, MINUSEQUAL, MINUSMINUS, MOD, MODEQUAL, NEW, NOT, NOTEQUAL, OCTALINT, OCTALLONG, OPERATOR, OR, PLUS, PLUSEQUAL, PLUSPLUS, POINTERTO, PREPROCESSOR_OUTPUT, PRIVATE, PROTECTED, PUBLIC, QUESTIONMARK, RCURLYBRACE, REDECLARED, REGISTER, RETURN, RPARENTHESIS, RSQUAREBRACKET, SCOPE, SEMICOLON, SHIFTLEFT, SHIFTLEFTEQUAL, SHIFTRIGHT, SHIFTRIGHTEQUAL, SHORT, SIGNED, SIZEOF, STAR, STATIC, STRING, STRUCT, SWITCH, TEMPLATE, THIS, THROW, TILDE, TIMESEQUAL, tokenImage, TRUETOK, TRY, TYPEDEF, UNION, UNSIGNED, UNSIGNED_DECIMALINT, UNSIGNED_DECIMALLONG, UNSIGNED_HEXADECIMALINT, UNSIGNED_HEXADECIMALLONG, UNSIGNED_OCTALINT, UNSIGNED_OCTALLONG, VIRTUAL, VOID, VOLATILE, WHILE`

Constructor Summary
`CPPParserTokenManager(SimpleCharStream stream)`
`CPPParserTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjbitVec0

    static final long[] jjbitVec0

### jjnextStates

    static final int[] jjnextStates

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### jjtoToken

    static final long[] jjtoToken

### jjtoSkip

    static final long[] jjtoSkip

### jjtoMore

    static final long[] jjtoMore

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

### curLexState

    int curLexState

### defaultLexState

    int defaultLexState

### jjnewStateCnt

    int jjnewStateCnt

### jjround

    int jjround

### jjmatchedPos

    int jjmatchedPos

### jjmatchedKind

    int jjmatchedKind

Constructor Detail

### CPPParserTokenManager

    public CPPParserTokenManager(SimpleCharStream stream)

### CPPParserTokenManager

    public CPPParserTokenManager(SimpleCharStream stream,
                                 int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.